package DE_EPAGES::Order::t::OrderCollectionResource;    ## no critic (RequireCommentForExportedFunctions)
use base DE_EPAGES::Shop::API::TestImportXML;

use strict;
use Data::Dumper;
use DE_EPAGES::Order::API::Resource::OrderCollection;
use Test::More;

sub importXMLPath {
    return 'import.xml';
}

sub test {
    my $self = shift;
    $self->testGet();
}

sub testGet {
    my $self = shift;
    my $SubTestName = (caller(0))[3];
    my $Resource = DE_EPAGES::Order::API::Resource::OrderCollection->new();
    my $hData = $Resource->get( $self->shop(), 10, 1 );
    is(scalar(@{$hData->{'items'}}), 1, "$SubTestName - get all orders");
}



__PACKAGE__->runScript;
done_testing;